Mtbl_cf Mathematics
Spectral representation.

() More...

## Functions

Mtbl_cf | Lorene::operator+ (const Mtbl_cf &)
Mtbl_cf | Lorene::operator- (const Mtbl_cf &)
| `-` Mtbl_cf
Mtbl_cf | Lorene::operator+ (const Mtbl_cf &, const Mtbl_cf &)
| Mtbl_cf + Mtbl_cf.
Mtbl_cf | Lorene::operator- (const Mtbl_cf &, const Mtbl_cf &)
| Mtbl_cf - Mtbl_cf.
Mtbl_cf | Lorene::operator* (const Mtbl_cf &, double)
| Mtbl_cf * double.
Mtbl_cf | Lorene::operator* (double, const Mtbl_cf &)
| double * Mtbl_cf
Mtbl_cf | Lorene::operator* (const Mtbl_cf &, int)
| Mtbl_cf * int.
Mtbl_cf | Lorene::operator* (int, const Mtbl_cf &)
| int * Mtbl_cf
Mtbl_cf | Lorene::operator/ (const Mtbl_cf &, double)
| Mtbl_cf / double.
Mtbl_cf | Lorene::operator/ (const Mtbl_cf &, int)
| Mtbl_cf / int.
Mtbl_cf | Lorene::abs (const Mtbl_cf &)
| Absolute value.
Tbl | Lorene::max (const Mtbl_cf &)
| Maximum values of the `Mtbl_cf` elements in each domain.
Tbl | Lorene::min (const Mtbl_cf &)
| Minimum values of the `Mtbl_cf` elements in each domain.
Tbl | Lorene::norme (const Mtbl_cf &)
| Sums of the absolute values of all the `Mtbl_cf` elements in each domain.
Tbl | Lorene::diffrel (const Mtbl_cf &a, const Mtbl_cf &b)
| Relative difference between two `Mtbl_cf` (norme version).
Tbl | Lorene::diffrelmax (const Mtbl_cf &a, const Mtbl_cf &b)
| Relative difference between two `Mtbl_cf` (max version).

## Detailed Description

()

## Function Documentation

## abs()

Mtbl_cf Lorene::abs | ( | const Mtbl_cf & | ti | ) |

Absolute value.

Definition at line 70 of file mtbl_cf_math.C.

References abs(), Lorene::Mtbl_cf::base, Lorene::Mtbl_cf::get_etat(), Lorene::Mtbl_cf::get_mg(), Lorene::Mtbl_cf::get_nzone(), Lorene::Mtbl_cf::set_etat_qcq(), and Lorene::Mtbl_cf::t.

## diffrel()

Tbl Lorene::diffrel | ( | const Mtbl_cf & | a,
|  | const Mtbl_cf & | b )

Relative difference between two `Mtbl_cf` (norme version).

Returns
  1-D `Tbl` of size the number of domains, the elements of which are `norme`[a(l)-b(l)]/norme[b(l)] if `b(l)!=0` and `norme`[a(l)-b(l)] if `b(l)=0` , where `a(l)` and `b(l)` denote symbolically the values of `a` and `b`
  in domain no. `l` .

Definition at line 191 of file mtbl_cf_math.C.

References Lorene::Mtbl_cf::get_etat(), Lorene::Tbl::get_etat(), Lorene::Mtbl_cf::get_nzone(), norme(), Lorene::Tbl::set(), and Lorene::Tbl::set_etat_qcq().

## diffrelmax()

Tbl Lorene::diffrelmax | ( | const Mtbl_cf & | a,
|  | const Mtbl_cf & | b )

Relative difference between two `Mtbl_cf` (max version).

Returns
  1-D `Tbl` of size the number of domains, the elements of which are `max`[abs(a(l)-b(l))]/max[abs(b(l))] if `b(l)!=0` and `max`[abs(a(l)-b(l))] if `b(l)=0` , where `a(l)` and `b(l)` denote symbolically the values of `a` and `b`
  in domain no. `l` .

Definition at line 226 of file mtbl_cf_math.C.

References abs(), Lorene::Mtbl_cf::get_etat(), Lorene::Tbl::get_etat(), Lorene::Mtbl_cf::get_nzone(), max(), Lorene::Tbl::set(), and Lorene::Tbl::set_etat_qcq().

## max()

Tbl Lorene::max | ( | const Mtbl_cf & | mti | ) |

Maximum values of the `Mtbl_cf` elements in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the maximum values in each domain.

Definition at line 104 of file mtbl_cf_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Mtbl_cf::get_etat(), Lorene::Mtbl_cf::get_nzone(), max(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), and Lorene::Mtbl_cf::t.

## min()

Tbl Lorene::min | ( | const Mtbl_cf & | mti | ) |

Minimum values of the `Mtbl_cf` elements in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the minimum values in each domain.

Definition at line 133 of file mtbl_cf_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Mtbl_cf::get_etat(), Lorene::Mtbl_cf::get_nzone(), min(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), and Lorene::Mtbl_cf::t.

## norme()

Tbl Lorene::norme | ( | const Mtbl_cf & | mti | ) |

Sums of the absolute values of all the `Mtbl_cf` elements in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the sums of the absolute values in each domain.

Definition at line 162 of file mtbl_cf_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Mtbl_cf::get_etat(), Lorene::Mtbl_cf::get_nzone(), norme(), Lorene::Tbl::set(), Lorene::Tbl::set_etat_qcq(), and Lorene::Mtbl_cf::t.

## operator*() [1/4]

Mtbl_cf Lorene::operator* | ( | const Mtbl_cf & | t1,
|  | double | x )

Mtbl_cf * double.

Definition at line 204 of file mtbl_cf_arithm.C.

References Lorene::Mtbl_cf::get_etat(), Lorene::Mtbl_cf::get_nzone(), r, and x.

## operator*() [2/4]

Mtbl_cf Lorene::operator* | ( | const Mtbl_cf & | t1,
|  | int | m )

Mtbl_cf * int.

Definition at line 242 of file mtbl_cf_arithm.C.

## operator*() [3/4]

Mtbl_cf Lorene::operator* | ( | double | x,
|  | const Mtbl_cf & | t1 )

double * Mtbl_cf

Definition at line 235 of file mtbl_cf_arithm.C.

References x.

## operator*() [4/4]

Mtbl_cf Lorene::operator* | ( | int | m,
|  | const Mtbl_cf & | t1 )

int * Mtbl_cf

Definition at line 249 of file mtbl_cf_arithm.C.

## operator+() [1/2]

Mtbl_cf Lorene::operator+ | ( | const Mtbl_cf & | t1 | ) |

- Mtbl_cf

Definition at line 90 of file mtbl_cf_arithm.C.

References Lorene::Mtbl_cf::get_etat().

## operator+() [2/2]

Mtbl_cf Lorene::operator+ | ( | const Mtbl_cf & | t1,
|  | const Mtbl_cf & | t2 )

Mtbl_cf + Mtbl_cf.

Definition at line 128 of file mtbl_cf_arithm.C.

References Lorene::Mtbl_cf::base, Lorene::Mtbl_cf::get_etat(), Lorene::Mtbl_cf::get_mg(), Lorene::Mtbl_cf::get_nzone(), r, and Lorene::Mtbl_cf::t.

## operator-() [1/2]

Mtbl_cf Lorene::operator- | ( | const Mtbl_cf & | t1 | ) |

`-` Mtbl_cf

Definition at line 101 of file mtbl_cf_arithm.C.

References Lorene::Mtbl_cf::get_etat(), r, and Lorene::Mtbl_cf::t.

## operator-() [2/2]

Mtbl_cf Lorene::operator- | ( | const Mtbl_cf & | t1,
|  | const Mtbl_cf & | t2 )

Mtbl_cf - Mtbl_cf.

Definition at line 166 of file mtbl_cf_arithm.C.

References Lorene::Mtbl_cf::base, Lorene::Mtbl_cf::get_etat(), Lorene::Mtbl_cf::get_mg(), Lorene::Mtbl_cf::get_nzone(), r, and Lorene::Mtbl_cf::t.

## operator/() [1/2]

Mtbl_cf Lorene::operator/ | ( | const Mtbl_cf & | t1,
|  | double | x )

Mtbl_cf / double.

Definition at line 262 of file mtbl_cf_arithm.C.

References Lorene::Mtbl_cf::get_etat(), Lorene::Mtbl_cf::get_nzone(), r, and x.

## operator/() [2/2]

Mtbl_cf Lorene::operator/ | ( | const Mtbl_cf & | t1,
|  | int | n )

Mtbl_cf / int.

Definition at line 291 of file mtbl_cf_arithm.C.